Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.office
Class FontDeclaration

    java.lang.Object
      writer2latex.office.OfficeStyle
          writer2latex.office.FontDeclaration

    public class FontDeclaration

extends OfficeStyle

Class representing a font declaration in OOo

Field Summary
`private PropertySet` | `properties`
`private java.lang.String` | `sFontFamily`
`private java.lang.String` | `sFontFamilyGeneric`
`private java.lang.String` | `sFontPitch`

Fields inherited from class writer2latex.office.OfficeStyle
`bAutomatic, family, sName`

Constructor Summary
`FontDeclaration()`

Method Summary
`java.lang.String` | `getFontFamily()`
`java.lang.String` | `getFontFamilyGeneric()`
`java.lang.String` | `getFontPitch()`
`java.lang.String` | `getProperty(java.lang.String sProperty)`
`void` | `loadStyleFromDOM(org.w3c.dom.Node node)`

Methods inherited from class writer2latex.office.OfficeStyle
`getDisplayName, getFamily, getListStyleName, getMasterPageName, getName, getParentName, isAutomatic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    private PropertySet properties

### sFontFamily

    private java.lang.String sFontFamily

### sFontFamilyGeneric

    private java.lang.String sFontFamilyGeneric

### sFontPitch

    private java.lang.String sFontPitch

Constructor Detail

### FontDeclaration

    public FontDeclaration()

Method Detail

### loadStyleFromDOM

    public void loadStyleFromDOM(org.w3c.dom.Node node)

  Overrides:
    `loadStyleFromDOM` in class `OfficeStyle`

### getProperty

    public java.lang.String getProperty(java.lang.String sProperty)

### getFontFamily

    public java.lang.String getFontFamily()

### getFontFamilyGeneric

    public java.lang.String getFontFamilyGeneric()

### getFontPitch

    public java.lang.String getFontPitch()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD